unit CodeSiteDataMod;
interface
uses
  System.SysUtils, System.Classes, IPPeerClient, IPPeerServer,
  System.Tether.Manager, System.Tether.AppProfile;

type
  TDataModErrorTethering = class(TDataModule)
    TetheringManager1: TTetheringManager;
    TetheringAppProfile1: TTetheringAppProfile;
    procedure DataModuleCreate(Sender: TObject);
    procedure TetheringManager1EndManagersDiscovery(const Sender: TObject;
      const ARemoteManagers: TTetheringManagerInfoList);
    procedure TetheringManager1EndProfilesDiscovery(const Sender: TObject;
      const ARemoteProfiles: TTetheringProfileInfoList);
    procedure TetheringManager1RequestManagerPassword(const Sender: TObject;
      const ARemoteIdentifier: string; var Password: string);
  private
    { Private declarations }
    procedure CodeSiteSend(Msg: String);
  public
    { Public declarations }
  end;

var
  DataModErrorTethering: TDataModErrorTethering;

type
  CodeSite = class
  public
    class procedure Send(Msg: String);
  end;


implementation

{%CLASSGROUP 'FMX.Controls.TControl'}

{$R *.dfm}

procedure TDataModErrorTethering.CodeSiteSend(Msg: String);
var
  i: Integer;
begin
  for i:=0 to TetheringManager1.RemoteProfiles.Count-1 do
    TetheringAppProfile1.SendString(TetheringManager1.RemoteProfiles[i],
      'CodeSite', Msg);
end;

procedure TDataModErrorTethering.DataModuleCreate(Sender: TObject);
begin
  TetheringManager1.DiscoverManagers;
end;

procedure TDataModErrorTethering.TetheringManager1EndManagersDiscovery(
  const Sender: TObject; const ARemoteManagers: TTetheringManagerInfoList);
var
  i: Integer;
begin
  for i:=0 to ARemoteManagers.Count-1 do
    if ARemoteManagers[i].ManagerText = 'CodeSiteManager' then
      TetheringManager1.PairManager(ARemoteManagers[I])
end;

procedure TDataModErrorTethering.TetheringManager1EndProfilesDiscovery(
  const Sender: TObject; const ARemoteProfiles: TTetheringProfileInfoList);
var
  i: Integer;
begin
  for i:=0 to TetheringManager1.RemoteProfiles.Count-1 do
    TetheringAppProfile1.Connect(TetheringManager1.RemoteProfiles[i])
end;

procedure TDataModErrorTethering.TetheringManager1RequestManagerPassword(
  const Sender: TObject; const ARemoteIdentifier: string; var Password: string);
begin
  Password := 'geheim';
end;

{ CodeSite }

class procedure CodeSite.Send(Msg: String);
begin
  if Assigned(DataModErrorTethering) then
    DataModErrorTethering.CodeSiteSend(Msg);
end;

end.
